import { ReconnectPayload, UserAuthorizationHeaders } from '../store/authSlice';
import { Broker } from './broker';

type UserPolicyCheckResponse = (data: boolean) => void;
export function wsUserPolicyCheck(policyCheck: { object: string; operation: string }, callback?: UserPolicyCheckResponse) {
  Broker.instance().sendMessage(
    {
      key: 'user',
      subKey: 'policyCheck',
      body: policyCheck, //messageTypePolicyCheck
    },
    callback,
  );
}

type UserGetPolicyResponse = (data: UserAuthorizationHeaders) => void;
export function wsUserGetPolicy(callback?: UserGetPolicyResponse) {
  Broker.instance().sendMessage(
    {
      key: 'user',
      subKey: 'getPolicy',
      body: {},
    },
    callback,
  );
}

export function wsReconnectSubscription(callback: (data: ReconnectPayload) => void) {
  const id = Broker.instance().subscribe((data: any) => {
    if (data) {
      callback(data);
    }
  }, 'reconnect');
  return () => {
    Broker.instance().unSubscribe('reconnect', id);
  };
}
