/**
 * This program has been developed by students from the bachelor Computer Science at
 * Utrecht University within the Software Project course.
 * © Copyright Utrecht University (Department of Information and Computing Sciences)
 */

import { BoolFilterTypes, GeneralDescription } from './general';

export const BoolFilters: Record<BoolFilterTypes, GeneralDescription<BoolFilterTypes>> = {
  [BoolFilterTypes.EQUAL]: {
    key: 'boolFilterEqual',
    name: 'Equal',
    type: BoolFilterTypes.EQUAL,
    description: 'Equal to another value',
    input: { name: 'Value', type: 'bool', default: 0 },
    numExtraInputs: 1,
    inputs: [{ name: '1', type: 'bool', default: 0 }],
    output: { name: '==', type: 'bool' },
    logic: ['==', '@i', '@1'],
    icon: 'icon-[ic--baseline-equals]',
  },
  [BoolFilterTypes.NOT_EQUAL]: {
    key: 'boolFilterNotEqual',
    name: 'Not Equal',
    type: BoolFilterTypes.NOT_EQUAL,
    description: 'Not equal to another value',
    input: { name: 'Value', type: 'bool', default: 0 },
    numExtraInputs: 1,
    inputs: [{ name: '1', type: 'bool', default: 0 }],
    output: { name: '!=', type: 'bool' },
    logic: ['!=', '@i', '@1'],
    icon: 'icon-[ic--baseline-not-equal]',
  },
};

/** All available functions in the function bar. */
export const BoolFilterArray: Array<GeneralDescription<BoolFilterTypes>> = Object.values(BoolFilters);
