/**
 * This program has been developed by students from the bachelor Computer Science at
 * Utrecht University within the Software Project course.
 * © Copyright Utrecht University (Department of Information and Computing Sciences)
 */

import { GeneralDescription, NumberFunctionTypes } from './general';

export const NumberFunctions: Record<NumberFunctionTypes, GeneralDescription<NumberFunctionTypes>> = {
  [NumberFunctionTypes.ADD]: {
    key: 'numberFunctionAdd',
    name: 'Add',
    type: NumberFunctionTypes.ADD,
    description: 'Add two values',
    input: { name: 'Value', type: 'float', default: 0 },
    numExtraInputs: 1,
    inputs: [{ name: '1', type: 'float', default: 0 }],
    output: { name: '+', type: 'float' },
    logic: ['+', '@i', '@1'],
    icon: 'icon-[ic--baseline-plus]',
  },
  [NumberFunctionTypes.SUBTRACT]: {
    key: 'numberFunctionSubtract',
    name: 'Subtract',
    type: NumberFunctionTypes.SUBTRACT,
    description: 'Subtract two values',
    input: { name: 'Value', type: 'float', default: 0 },
    numExtraInputs: 1,
    inputs: [{ name: '1', type: 'float', default: 0 }],
    output: { name: '-', type: 'float' },
    logic: ['-', '@i', '@1'],
    icon: 'icon-[ic--baseline-minus]',
  },
  [NumberFunctionTypes.MULTIPLY]: {
    key: 'numberFunctionMultiply',
    name: 'Multiply',
    type: NumberFunctionTypes.MULTIPLY,
    description: 'Multiply two values',
    input: { name: 'Value', type: 'float', default: 0 },
    numExtraInputs: 1,
    inputs: [{ name: '1', type: 'float', default: 0 }],
    output: { name: '*', type: 'float' },
    logic: ['*', '@i', '@1'],
    icon: 'icon-[ic--baseline-clear]',
  },
  [NumberFunctionTypes.DIVIDE]: {
    key: 'numberFunctionDivide',
    name: 'Divide',
    type: NumberFunctionTypes.DIVIDE,
    description: 'Divide two values',
    input: { name: 'Value', type: 'float', default: 0 },
    numExtraInputs: 1,
    inputs: [{ name: '1', type: 'float', default: 0 }],
    output: { name: '/', type: 'float' },
    logic: ['/', '@i', '@1'],
    icon: 'icon-[ic--baseline-divide]',
  },
};

/** All available functions in the function bar. */
export const MathFunctionArray: Array<GeneralDescription<NumberFunctionTypes>> = Object.values(NumberFunctions);
